package com.company.fpivot.entity;

import com.haulmont.chile.core.datatypes.impl.EnumClass;

import javax.annotation.Nullable;


public enum BirthDateMonth implements EnumClass<Integer> {

    CURRENT(0),
    PREVIOUS(1),
    NEXT(-1);

    private Integer id;

    BirthDateMonth(Integer value) {
        this.id = value;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static BirthDateMonth fromId(@Nullable Integer id) {
        for (BirthDateMonth at : BirthDateMonth.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}